colord (1.4.3-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Bump debhelper compat to 11
  * debian/rules: Use the same build directory debhelper normally uses
  * meson doesn't install .la files by default
  * Use dh --with gir instead of calling dh_girepository manually
  * Drop obsolete intltool Build-Depends
  * debian/control: Set packages as linux-any
  * Cherry-pick trivial-Add-a-quirk-for-the-renamed-LG-Electronics.patch:
    - Fix autopkgtest regression with systemd 240
  * debian/tests/control: Depend on shared-mime-info

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Laurent Bigonville ]
  * Remove /etc/dbus-1/system.d/org.freedesktop.ColorManager.conf on upgrade
    (Closes: #912031)
  * Install colord daemons in /usr/lib/colord/ like before (Closes: #910196)
  * debian/*.symbols: Add Build-Depends-Package fields
  * debian/control: Adjust the build-dependencies, colord now unconditionally
    requires udev and gusb, this makes the package only available on linux
  * debian/control: Remove unnecessary dependencies, libcolord-dev do not
    require liblcms2-dev, libdbus-1-dev or libudev-dev
  * debian/rules: Remove the executable bit on the colormgr bash-completion
    file to please lintian

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 21 Jan 2019 23:39:22 -0500

colord (1.4.3-3) unstable; urgency=medium

  * debian/patches/skip_build_depends.patch:
    - use a debian patch rather than inline change to skip that
      build-depends requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 13 Sep 2018 16:20:18 +0200

colord (1.4.3-2) unstable; urgency=medium

  * debian/rules: Create stampdir on build. Fixes the build from git.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 07 Sep 2018 09:43:29 +1000

colord (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3
    - Switch to meson build system
    - New upstream version respects SOURCE_DATE_EPOCH for generated
      profiles, making the build reproducible! (Closes: 815252)
  * Switch to dh_missing
  * Fix order of adduser arguments in colord.postinst (Closes: 895102)
  * Drop chown -R usage in colord.postinst (Closes: 889060)
  * Refresh symbols files
  * Refresh .install files
  * debian/watch: Correctly identify as a Version=4 file.
  * Bump Standards-Version

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 03 Sep 2018 17:53:23 +1000

colord (1.3.3-2) unstable; urgency=medium

  * Tell dh_install that systemd/udev files are uninteresting for !Linux

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 06 Sep 2016 16:46:05 +1000

colord (1.3.3-1) unstable; urgency=medium

  * debian/watch: check upstream release signatures
  * Add systemd to linux-any build-depends to pick up tmpfiles.d and unit
    locations.
    (Closes: 835758)
  * Remove linux-only udev/systemd files from non-linux colord.install.
    (Closes: 827321)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 05 Sep 2016 15:18:36 +1000

colord (1.3.2-1) unstable; urgency=medium

  * New upstream 1.3.2 release (Closes: 815252)
  * Add new symbols to libcolord2.symbols
  * Install systemd user service and tmpfiles.d snippets
  * Install new OceanOptics Spark sensor driver
  * Demote colord to a Suggests of libcolord2 (Closes: 780625)
  * Add new symbols to libcolorhug2
  * Bump Standards-Version; no changes required.
  * Retrospectively wrap 1.2.12-1's changelog to 80 characters.
  * Cherry-pick 5256a116:
    libcolord: Fix an assert failure when connecting to sensors.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 19 Apr 2016 17:27:34 +1000

colord (1.2.12-1) unstable; urgency=medium

  * Bump standards-version; no changes required
  * Use canonical Vcs-Git URL
  * Fix Files: glob in debian/copyright to actually match
  * Drop obsolete XS-Testsuite stanza; dpkg handles this now
  * Move hardening-check lintian override to correct package
  * Fix FTBFS on !Linux architectures.
    Argyll is now linux-only, so guard all the features that rely on it
    behind linux-any.
    Thanks to Pino Toscano <pino@debian.org> (Closes: 795536)
  * Update libcolorhug symbols for 1.2.12 release
  * Really, truly, remove obsolete colord.conf. (Closes: 751212)
  * colord-plugin-argyll: fix upgrade from Jessie.
    This package was split out of colord as argyll has become Linux-only, so
    we need to do the Breaks/Replaces dance. (Closes: 798355)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 06 Nov 2015 10:51:38 -0600

colord (1.2.11-1) unstable; urgency=medium

  * Add missing GFDL licence for documentation
  * Merge new upstream 1.2.11 release. (Closes: 782477)
  * Cherry pick commit to check for, and prefer, libsystemd over
    libsystemd-login. (Closes: 779777)
  * debian/libcolorhug2.symbols: Add new ch_device_close symbol.
  * Remove no-longer-used colord.conf (Closes: 751212)
  * Add new symbols to libcolord-private symbols file
  * Add new functions to libcolorhug2 symbols file
  * Add newly-introduced symbols to symbols file
  * Update DEP8 control for libtool-bin split
  * Output better logs on DEP8 failures
  * Add colord-sensor-argyll package
  * Disable strangely-failing DEP8 test

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 13 Aug 2015 08:56:11 +0200

colord (1.2.1-1) unstable; urgency=medium

  * New upstream stable release. Fixes unsafe pointer cast, so
    cd-create-profile no longer tries to allocate terabytes of
    memory on 64bit big-endiane machines. (Closes: 750013)
  * Move (very slow) print-profile generation to build-indep rule.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 05 Jun 2014 13:49:39 +1000

colord (1.2.0-3) unstable; urgency=medium

  * Actually upload to unstable. Yay sponsors who don't pay enough attention.

 -- Martin Pitt <mpitt@debian.org>  Thu, 29 May 2014 14:48:00 +0200

colord (1.2.0-2) unstable; urgency=medium

  * Fix Replaces/Breaks for files moved from colord to colord-data
    (Closes: 749299)
  * Explicitly disable udev on !Linux fixes FTBFS (Closes: 749221)
  * Don't Build-Depend on argyll on Hurd (Closes: 749222)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 29 May 2014 09:08:20 +0200

colord (1.2.0-1) experimental; urgency=medium

  [ Martin Pitt ]
  * Add missing @buildddeps@ and build-essential test dependencies, as the
    test partially builds colord.

  [ Christopher James Halse Rogers ]
  * New upstream stable release, first of the 1.2 series
  * Refresh .symbols and library .install for new SOVER
  * Remove test-for-usb-db-before-running-it.patch
  * Update copyright file for new profiles data
  * Install bash-completion data
  * Split out a colord-data package
  * Add new libudev-dev build-depends on Linux
  * Build extra print profiles, adding required argyl build-dependancy
  * Use dh_install --fail-missing
  * Drop no-longer-supported gudev and volume-search configure flags
  * Remove no-longer-needed gudev build-dependancy
  * Add new (Linux only) libudev-dev dependency to libcolord-dev

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 06 May 2014 10:13:33 +1000

colord (1.0.6-1) unstable; urgency=medium

  * New upstream stable release 1.0.6
  * Bump Standards-Version (no changes required)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 16 Jan 2014 17:55:36 +1100

colord (1.0.5-1) unstable; urgency=low

  * New upstream stable release (LP: #1219108)
  * Update watch file to pull stable 1.0.x releases rather than development
    1.1.x releases
  * Update test-for-usb-db patch to apply to 69-cd-sensors.rules.in, rather
    than the generated 69-cd-sensors.rules file. (Closes: 717503)
  * Clean up stale colord-sane dbus and bash-completion config files on upgrade.
    (Closes: 713854)
  * Relax over-eager versioning on Breaks: colorhug-client. (Closes: 722588)
  * Let adduser create /var/lib/colord for us. (Closes: 730476)
  * Cherry pick b943e38b from upstream to fix colorhug unittests on USB-less
    hardware (such as found in the Ubuntu autopkgtest infrastructure).
  * Now that colorhug unittests pass on USB-less hardware, re-enable them in
    the DEP 8 tests.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 19 Dec 2013 16:54:17 +0800

colord (1.0.2-1) unstable; urgency=low

  * New upstream stable release
  * Disable colorhug test; fails without USB hardware
  * Test for usb-db in udev rules before running it. (Closes: 717503)
  * Use dh-systemd for upgrade/removal support. Thanks, Michael Stapelberg!
    (Closes: 715266)
  * Fix upgrades from Wheezy with old colorhug-client installed.
    (Closes: 718015)
  * Refresh symbols file for new upstream
  * Remove no-longer used lintian hardening overrides

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 30 Jul 2013 17:13:39 +1000

colord (1.0.1-1) unstable; urgency=low

  [ Pino Toscano ]
  * Fix build on non-Linux architectures (Closes: 703423)

  [ Christopher James Halse Rogers ]
  * New upstream release (Closes: 711802)
  * Update copyright file to match fixed sensor library copyrights
  * Add new bash-completion build-dep
  * Update libcolord symbols for new upstream
  * Disable silent build rules
  * Make autopkgtest test name policy compliant
  * Differentiate libcolorhug1 description from libcolorhug-dev
  * Add Valgrind dependency to DEP 8 tests
  * Tighten version dependency on valac; needs >= 0.20 (Closes: 707348)
  * Fix typo in debug message (Closes: 688654). Thanks, Christian T. Steigies!

  [ Martin Pitt ]
  * Fix Depends: syntax for DEP 8 tests

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 14 Jun 2013 15:53:02 +1000

colord (0.1.31-1) experimental; urgency=low

  * New upstream release 0.1.31 (LP: #1099967)
    + Drop patches included in new upstream release
    + Replace one_shot_colord-sane patch with upstream version
    + New upstream includes support for Spyder 3 (Closes: 696394, LP: #1072261)
    + New upstream includes support for ColorMunki (Closes: 701653, LP: #889655)
    + New upstream includes its own set of base colour spaces (Closes: 666513)
    + New upstream has re-written colord-sane binary, which doesn't crash in
      libdbus (Closes: 668225)
  * Handle the existence of a non-system scanner group.
    (Closes: #648287, LP: #989921)
  * Make watch file more specific, to not pick up colord-gtk releases
  * Drop colord-gtk; this has been split out into a separate tarball
  * Explicitly enable vala binding support
  * Add PIE to hardening flags
  * Install new colord icons
  * Add new API to libcolord1.symbols
  * Install schemas for session-helper
  * Add DEP-8 autopkgtest infrastructure
  * Don't install daemon in multiarch path (Closes: 695232)
  * Properly set SELinux context of /var/lib/colord (Closes: 695085)
  * Add new ColorHug library
  * Fix unusual crash in cd_main_get_cmdline_for_pid (cherry pick from 1824da9)
  * Add override for hardening-check false-positives
  * Add build-depend on libsystemd-login-dev for seat identification
  * Add header for single-debian-patch identifying them as upstream cherry-picks
  * Create /var/lib/colord/icc for system-wide profiles (LP: #1083698)
  * Refresh debian/copyright
  * Canonicalise Vcs-* URIs
  * Bump standards-version to 3.9.4; no changes needed

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 19 Mar 2013 17:27:41 +1100

colord (0.1.21-4) unstable; urgency=low

  * debian/patches/one_shot_colord-sane:
    - Rework colord-sane to be run once per sane probe. This works around
      bugs in libsane and its plugins, which otherwise leak fds causing all
      manner of bad behaviour, such as high CPU usage. (Closes: 668325)
  * debian/patches/initialise_gdbus_connection_sooner.patch:
    - Initialise connection variable from the bus_connected callback rather
      than the name_acquired callback. Fixes a race where colord could try to
      process a request before name_acquired was called, resulting in an
      abort().

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 10 Oct 2012 21:12:29 +1100

colord (0.1.21-3) unstable; urgency=low

  * debian/control:
    - Add libdbus-1-dev to build depends; the patches in 0.1.21-2 introduce a
      new dbus dependency, causing FTBFS on !linux archs (Closes: 689300).
      Thanks, Pino Toscano!

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 02 Oct 2012 13:54:26 +1000

colord (0.1.21-2) unstable; urgency=low

  * debian/patches/also_sanitise_username_for_dbus.patch:
    - Sanitise username when used as a component of a DBus object path.
      Fixes crash in cd_device_register_object (Closes: 675852) (LP: #1021374)
  * debian/patches/fix_colord-sane_dbus_threading.patch:
    - Initialise libdbus threadsafety in colord-sane. (Probably) fixes multiple
      crashes from colord-sane in libdbus (LP: #844286). Plausibly fixes other
      bad colord-sane behaviour, such as 100% CPU usage (Closes: 668325)
  * debian/rules:
  * debian/control:
    - Add dh_autoreconf to pick up the build system changes from
      fix_colord-sane_dbus_threading.patch and add all the various
      build-depends required.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 12 Sep 2012 18:28:06 +1000

colord (0.1.21-1) unstable; urgency=low

  * New upstream version
  * debian/patches/01_fix_colord_sane.diff:
    - Drop; included in new upstream version
  * debian/rules:
  * debian/control:
  * debian/libcolord-dev.install:
  * debian/libcolord-gtk1.install:
  * debian/libcolord-gtk1.symbols:
  * debian/libcolord-gtk-dev.install
    - Add libcolord-gtk1 library
  * debian/libcolord1.symbols:
    - Update for new upstream
  * debian/rules:
    - Enable hardning flags
  * debian/rules:
    - Enable parallel builds
  * debian/cd-fix-profile.1:
  * debian/colord.manpages:
    - Drop local manpage; now shipped upstream

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 30 May 2012 17:16:15 +1000

colord (0.1.18-1) unstable; urgency=low

  * New upstream version
  * debian/colord.postrm:
    - Fix purge action when colord failed to install correctly. (Closes: 660666)
  * debian/control:
    - Drop unnecessary build-depends libusb2-dev [kfreebsd].  Thanks,
      Robert Millan! (Closes: 659624)
    - Add B-D on libgusb-dev [linux-any] to build colorhug support.
      (Closes: 661631)
  * debian/libcolord1.symbols:
    - Add symbols new in this version
  * debian/source/local-options:
  * debian/patches/series:
  * .gitignore:
    - Set single-debian-patch, and ignore it in git.  This makes cherry-picking
      from upstream cleaner: the patch lands in debian-patches, and disappears
      when we grab the upstream version containing the cherry-pick.
  * debian/patches/01_fix_colord_sane.diff, pre-cherry-picked from upstream.
    - Fixes issues with DBus spawning colord-sane, and with colord-sane
      communicating with colord when run as the colord user

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 01 Mar 2012 17:33:00 +1100

colord (0.1.16-2) unstable; urgency=low

  * debian/colord.postinst:
    - Only try to change ownership of /var/lib/colord after we've made sure the
      colord user actually exists.  (Closes: 658353)
  * debian/colord.install:
  * debian/rules:
    - Install systemd unit file.  Thanks, Rodolphe Pelloux-Prayer!
      (Closes: 658382)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 03 Feb 2012 15:18:49 +1100

colord (0.1.16-1) unstable; urgency=low

  * New upstream release
    - Drop 01_use_polkit_owner_annotation.patch; included upstream.
  * debian/colord.postrm:
    - Remove /var/lib/colord on purge; package is now puiparts clean.
  * debian/colord.postinst:
    - Create /var/lib/colord if necessary; we can not rely on adduser creating
      this directory if the user has previously purged colord.
    - Quieten needless output from adduser.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 02 Feb 2012 13:57:16 +1100

colord (0.1.15-3) unstable; urgency=low

  * debian/rules:
    + Pass --disable-examples to configure; we don't ship them, and they add
      an unnecessary Build-Dependancy on libdbus-1-dev.  Really fixes the
      kFreeBSD build. (Closes: 652427)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 22 Dec 2011 10:15:18 +1100

colord (0.1.15-2) unstable; urgency=low

  * debian/control:
    + Move gir package to Section: introspection
  * debian/control:
  * debian/rules:
  * debian/colord.install:
    + Fix the kfreebsd build (Closes: 652427).  Thanks, Michael Biebl!
      - Restrict sane and gudev to linux-any.
      - Use libusb2-dev on kfreebsd-any.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 20 Dec 2011 13:04:34 +1100

colord (0.1.15-1) unstable; urgency=low

  * New upstream release.
    + Fixes sqlite injection vulnerability, preventing malicious applications
      from corrupting colord's database (Closes: #650021).
  * debian/patches/01_use_polkit_owner_annotation.patch:
    + Cherry-pick from upstream, enabling use of the PolicyKit "owner"
      annotation.
  * debian/control:
    + Add versioned Build-Depends on libpolkit-gobject-1-dev to ensure
      configure detects a new enough PolicyKit to enable the "owner"
      annotation.
    + Add versioned Depends on policykit-1 to colord to ensure a new enough
      PolicyKit to understand the "owner" annotation at runtime.
  * debian/rules:
    + Re-enable PolicyKit support now that the "owner" annotation is supported.
  * debian/patches/06_use_dbus_security_for_permissions.diff:
    + Drop; PolicyKit has been fixed.
  * debian/libcolord1.symbols: Add new symbols in 0.1.14 and 0.1.15

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 14 Dec 2011 15:25:41 +1100

colord (0.1.13-1) unstable; urgency=low

  [ Christopher James Halse Rogers ]
  * New upstream release. (Closes: #643724)
  * Update libcolord1 symbols for new upstream.
  * debian/colord.postinst:
  * debian/rules:
    + Run colord daemon as a system user, rather than root.  It only needs
      write access to /var/lib/colord and access to scanner devices, which
      is handled by udev.
  * debian/rules:
  * debian/patches/07_fix_disable_polkit_build.diff:
  * debian/patches/06_use_dbus_security_for_permissions.diff:
    + Use DBus' at_console context to regulate access to the colord daemon.
      PolicyKit doesn't allow non-root processes to query whether a different
      a user is authorised to perform an action.  DBus' at_console context
      duplicates the existing PolicyKit policy.
  * debian/control:
    + Fix typo in package description.  (Closes: #640525)
  * debian/control:
    + Add missing liblcms2-dev, libdbus-1-dev, libglib2.0-dev dependencies to
      libcolord-dev, to fix FTBFS of reverse dependencies.

  [ Sjoerd Simons ]
  * New upstream release (0.1.13) (Closes: #643724)
  * debian/patches/07_fix_disable_polkit_build.diff:
    + Removed, fixed upstream
  * debian/libcolord1.symbols: Update symbols for 0.1.13

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 25 Oct 2011 16:21:20 +0200

colord (0.1.11-1) unstable; urgency=low

  * Initial release (Closes: #633518, LP: #741448)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 30 Jun 2011 16:01:11 +0100
